<script type="text/javascript">
    $(function() {
        $(document).on('click', '.btn_tambah_m_product', function() {
            $('#tampil_form').load("<?= route("sales_activity.master.product.form.tambah") ?>", function() {
                $('#modal_form').modal('show');
                $(".title").text("Form Tambah Data");
                $(".btn_save_m_product").addClass("btn_save_m_product btn btn-primary");
                $(".btn_save_m_product").append('<i class="fa fa-save"></i> ');
                $(".btn_save_m_product").append('<?= $this->lang->line('button_form_simpan') ?>');
                $("#btn_new_input_m_product").hide();
            });
        });

        $(document).on('click', '.btn_edit_m_product', function() {
            $('#tampil_form').load("<?= route('sales_activity.master.product.form.edit') ?>"+ "/" + $(this).attr('id'), function() {
                $('#modal_form').modal('show');
                $(".title").text("<?= $this->lang->line('title_form_edit_data') ?>");
                $(".btn_save_m_product").addClass("btn_save_m_product btn btn-warning");
                $(".btn_save_m_product").append('<i class="fa fa-update"></i> ');
                $(".btn_save_m_product").append("<?= $this->lang->line('button_form_perbarui') ?>");
                $("#btn_new_group_m_product").hide();
            });
        });

        $(document).on('click', '.btn_delete_m_product', function() {
            $('#tampil_form').load("<?= route('sales_activity.master.product.form.hapus') ?>"+ "/" + $(this).attr('id'), function() {
                $('#modal_form').modal('show');
                $(".title").text("<?= $this->lang->line('title_form_hapus_data') ?>");
                $("#form_input_m_product #id_product_group_m").prop("disabled", true);
                $("#form_input_m_product input[type=text]").prop("disabled", true);
                $(".btn_save_m_product").append('<i class="fa fa-trash"></i> ');
                $(".btn_save_m_product").append('<?= $this->lang->line('button_form_hapus') ?>');
                $(".btn_save_m_product").removeClass("btn_save_m_product").addClass("btn_hapus_m_product btn btn-danger");
            });
        });

        $(document).on('click', '#btn_new_input_m_product', function() {
            $("#form_input_m_product :input").prop("disabled", false);
            $("#form_input_m_product #id_product_group_m").select2("val", "0");
            $("#form_input_m_product #id_product_group_m").prop("disabled", false);
            $("#form_input_m_product input[type=text]").prop("disabled", false);
            $("#form_input_m_product input[type=text]").val("");
            $('.btn_save_m_product').show();
            $('#btn_new_input_m_product').hide();
            $('#message').html('');
        });

        $(document).on("click", ".btn_save_m_product", function(e) {
            e.preventDefault();
            $('#message').html("");
            var loading = Ladda.create(this);

            var id_product_group_m =  $("#form_input_m_product #id_product_group_m").val();
            if (id_product_group_m == null || id_product_group_m == '') {
                $('#message').html("<font style='color:Crimson'><i class='fa fa-exclamation-triangle'></i> <?= $this->lang->line('error_pilih_group_product') ?></font>");
                $("#form_input_m_product #id_product_group_m").focus();
                return false;
            }
            if ($("#form_input_m_product #nama_product").val() == '') {
                $('#message').html("<font style='color:Crimson'><i class='fa fa-exclamation-triangle'></i> <?= $this->lang->line('error_nama_product') ?></font>");
                $("#form_input_m_product #nama_product").focus();
                return false;
            }
            if ($("#form_input_m_product #harga_product").val() == '') {
                $('#message').html("<font style='color:Crimson'><i class='fa fa-exclamation-triangle'></i> <?= $this->lang->line('error_harga_product') ?></font>");
                $("#form_input_m_product #harga_product").focus();
                return false;
            }

            loading.start();
            var param                    = {};
                param.id_product_m       = $("#form_input_m_product #id_product_m").val();
                param.id_product_group_m = $("#form_input_m_product #id_product_group_m").val();
                param.kode_product       = $("#form_input_m_product #kode_product").val();
                param.nama_product       = $("#form_input_m_product #nama_product").val();
                param.harga_product      = $("#form_input_m_product #harga_product").val();

                <?php if($this->fungsi->cek_adm_satu_grup() == true) : ?>
                    param.id_group_m = "<?= $this->sales_admin_group ?>"
                <?php else: ?>
                    param.id_group_m = $("#form_input_m_product #id_group_m").val();
                <?php endif; ?>

            $.ajax({
                type: 'POST',
                url: "<?= route('sales_activity.master.product.save') ?>",
                data: param,
                dataType: 'JSON',
                success: function(result) {
                    if (result.success == true) {
                        if (result.type == 'save') {
                            $("#form_input_m_product :input").prop("disabled", true);
                            $('.btn_save_m_product').hide();
                            $('#btn_new_input_m_product').show();
                        }
                    }
                    loading.stop();
                    $('#message').show();
                    $('#message').html(result.message);
                },
                error: function() {
                    loading.stop();
                    $('#message').show();
                    $('#message').html('<font color="#eb3a28"><i class="fa fa-close(alias)">&nbsp;</i><strong><?= $this->lang->line('error') ?></strong></font>');
                }
            });
        });

        $(document).on('click', '.btn_hapus_m_product', function() {
            var loading = Ladda.create(this);
            loading.start();

            var param = {};
            param.id_product_m = $("#id_product_m").val();

            $.ajax({
                type: 'POST',
                url: "<?= route('sales_activity.master.product.delete') ?>",
                data: param,
                dataType: 'JSON',
                success: function(result) {
                    $("#modal_form .card-body").hide();
                    $("#modal_form .card-footer").hide();
                    $("#modal_form .title").html(result.message.replace("009900", "FFFFFF"));
                },
                error: function() {
                    loading.stop();
                    $("#modal_form .card-body").hide();
                    $("#modal_form .card-footer").hide();
                    $("#modal_form .title").html('<font color="#eb3a28"><i class="fa fa-close(alias)">&nbsp;</i><strong><?= $this->lang->line('error') ?></strong></font>');
                }
            });
        });
    });
</script>